Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class FeatureTransducer.TransitionIterator

    java.lang.Object
      cc.mallet.fst.Transducer.TransitionIterator
          cc.mallet.fst.FeatureTransducer.TransitionIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator<Transducer.State>

Enclosing class:
  FeatureTransducer

    protected class FeatureTransducer.TransitionIterator

extends Transducer.TransitionIterator

See Also:
  Serialized Form

Constructor Summary
`FeatureTransducer.TransitionIterator(FeatureTransducer.State source)`
`FeatureTransducer.TransitionIterator(FeatureTransducer.State source, int input)`

Method Summary
`Transducer.State` | `getDestinationState()` The state we are in after taking this transition.
`int` | `getIndex()` An implementation-specific index for this transition object, can be used to index into arrays of per-transition parameters.
`java.lang.Object` | `getInput()` The input symbol or object appearing on this transition.
`java.lang.Object` | `getOutput()` The output symbol or object appearing on this transition.
`Transducer.State` | `getSourceState()` The state we were in before taking this transition.
`double` | `getWeight()` The weight (between infinity and -infinity) associated with taking this transition with this input/output.
`boolean` | `hasNext()`
`void` | `incrementCount(double count)`
`Transducer.State` | `nextState()`

Methods inherited from class cc.mallet.fst.Transducer.TransitionIterator
`describeTransition, getInputPositionIncrement, getOutputPositionIncrement, getTransducer, next, numberNext, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureTransducer.TransitionIterator

    public FeatureTransducer.TransitionIterator(FeatureTransducer.State source)

### FeatureTransducer.TransitionIterator

    public FeatureTransducer.TransitionIterator(FeatureTransducer.State source,
                                                int input)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Transducer.State>`
  Specified by:
    `hasNext` in class `Transducer.TransitionIterator`

### nextState

    public Transducer.State nextState()

  Specified by:
    `nextState` in class `Transducer.TransitionIterator`

### getIndex

    public int getIndex()

  Description copied from class: `Transducer.TransitionIterator`
  An implementation-specific index for this transition object, can be used to index into arrays of per-transition parameters.

  Specified by:
    `getIndex` in class `Transducer.TransitionIterator`

### getInput

    public java.lang.Object getInput()

  Description copied from class: `Transducer.TransitionIterator`
  The input symbol or object appearing on this transition.

  Specified by:
    `getInput` in class `Transducer.TransitionIterator`

### getOutput

    public java.lang.Object getOutput()

  Description copied from class: `Transducer.TransitionIterator`
  The output symbol or object appearing on this transition.

  Specified by:
    `getOutput` in class `Transducer.TransitionIterator`

### getWeight

    public double getWeight()

  Description copied from class: `Transducer.TransitionIterator`
  The weight (between infinity and -infinity) associated with taking this transition with this input/output.

  Specified by:
    `getWeight` in class `Transducer.TransitionIterator`

### getSourceState

    public Transducer.State getSourceState()

  Description copied from class: `Transducer.TransitionIterator`
  The state we were in before taking this transition.

  Specified by:
    `getSourceState` in class `Transducer.TransitionIterator`

### getDestinationState

    public Transducer.State getDestinationState()

  Description copied from class: `Transducer.TransitionIterator`
  The state we are in after taking this transition.

  Specified by:
    `getDestinationState` in class `Transducer.TransitionIterator`

### incrementCount

    public void incrementCount(double count)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD